from django.shortcuts import render, get_object_or_404

# Create your views here.

from django.http import HttpResponse,HttpResponseRedirect
from .models import Question,Choice
from django.http import Http404
from django.template import RequestContext,loader
from django.core.urlresolvers import reverse
from django.views import generic

# class IndexView(generic.ListView):
#     template_name='polls/index.html'
#     context_object_name='latest_question_list'
#     
#     def get_queryset(self):
#         return Question.objects.order_by('-pub_date')[:5]
#     
# class DetailView(generic.DetailView):
#     model = Question
#     template_name='polls/detail.html'
#     
# class ResultsView(generic.DetailView):
#     model = Question
#     template_name='polls/results.html'
    

def index(request):
    latest_question_list = Question.objects.order_by('-pub_date')[:5]
    template = loader.get_template('polls/index.html')
    context = {'latest_question_list':latest_question_list,}
#     return HttpResponse(template.render(context))
    return render(request,context=context,template_name='polls/index.html')
 
def detail(request,question_id):
#     try:
#         question = Question.objects.get(pk=question_id)    
#     except Question.DoesNotExist:
#         raise Http404("Question does not exist")
    question = get_object_or_404(Question,pk=question_id)
    return render(request,'polls/detail.html',{'question':question})
 
def results(request,question_id):
    question = get_object_or_404(Question,pk=question_id)
    return render(request,'polls/results.html',{'question':question})

def vote(request,question_id):
    p = get_object_or_404(Question,pk=question_id)
    try:
        selected_choice = p.choice_set.get(pk=request.POST['choice'])
    except (KeyError,Choice.DoesNotExist):
        return render(request,'polls/detail.html',{
            'question':p,
            'error_message':"You didn't select a choice",})
    else: 
        selected_choice.votes += 1
        selected_choice.save()
        return HttpResponseRedirect(reverse('polls:results',args=(p.id,)))#最后面这个逗号不能少
        
    return HttpResponse("You're voting on question %s." % question_id)

    
